### Method

# Ide DebuggerVariable set_type_name

#### Declaration

    void
    ide_debugger_variable_set_type_name (
      IdeDebuggerVariable* self,
      const gchar* type_name
    )

#### Description

No description available.

Sets property | `Ide.DebuggerVariable:type-name`

#### Parameters

`type_name` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.